• 0
armlinux

Ayuda Raspberry
Configurar samba de nuevo

Pregunta

Hola, he cambiado de compañia, de Ono a Jazztel, lo cual recomiendo y mucho, por como esta ultimamente Ono, desde que es Vodafone que te toma el pelo a base de bien, pero bueno, eso son temas aparte.

 

Tenia en la pi configurado el samba, mediante el seguimiento de este tutorial:

 

http://mecatronicafab.blogspot.com.es/2013/08/compartir-archivos-en-red-con-raspberry.html

 

Estaba todo perfecto, pero lo dicho al cambiar de compañia, sigo los mismos pasos, algunos como la modificacion de los txt, siguen estando ahi, pero ahora me salen en consola lo siguiente, en el paso del manual que dice que introduzca lo siguiente:

 

sudo apt-get install samba samba-common-bin

 

Lo introduzco y la consola me dice esto:

 

root@raspbmc:~# apt-get install samba samba-common-bin
Reading package lists... Done
Building dependency tree
Reading state information... Done
samba-common-bin is already the newest version.
samba-common-bin set to manually installed.
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 winbind : Depends: libwbclient0 (= 2:3.6.6-6+deb7u4) but 2:3.6.6-6+deb7u5 is to be installed
           Depends: samba-common (= 2:3.6.6-6+deb7u4) but 2:3.6.6-6+deb7u5 is to be installed
           Recommends: libpam-winbind but it is not going to be installed
           Recommends: libnss-winbind but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

 

Parece que sea como un error de paquetes o algo asi, no se como me dice no se que del libpam.winbind, hago lo siguiente:

 

sudo apt-get install libpam-winbind libnss-winbind

 

Y la consola me dice tal que asi:

 

Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libnss-winbind : Depends: winbind (= 2:3.6.6-6+deb7u5) but 2:3.6.6-6+deb7u4 is to be installed
 libpam-winbind : Depends: winbind (= 2:3.6.6-6+deb7u5) but 2:3.6.6-6+deb7u4 is to be installed
 winbind : Depends: libwbclient0 (= 2:3.6.6-6+deb7u4) but 2:3.6.6-6+deb7u5 is to be installed
           Depends: samba-common (= 2:3.6.6-6+deb7u4) but 2:3.6.6-6+deb7u5 is to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
root@raspbmc:~#

 

Creo que todo esto vendra, que el raspbmc que estoy usando, apunta a whezzy y a lo mejor hay problema de dependencias paquetes y tal, no se si apuntando a jessie se solucionaria, en mi sources.list pone esto:

 

deb http://archive.raspbian.org/raspbianwheezy main contrib non-free
 

Porque todo lo demas funciona, amule, con los puertos abiertos y con id alta, lo mismo con transmission, el multimedia por supuesto, etc, pero de repente tengo este problema con el samba y no puedo ver la rasperry en los compartidos del pc, cosa que antes de cambiar de operador si podia.

 

Saludos.

 

 

Rohlling y pacoeloyo le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

7 respuestas a esta pregunta

  • 0

He desinstalado samba y vuelto a instalar y nada, al instalarlo, me vuelve a salir lo mismo:

 

root@raspbmc:~# apt-get install samba samba-common-bin
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 winbind : Depends: libwbclient0 (= 2:3.6.6-6+deb7u4) but 2:3.6.6-6+deb7u5 is to                                                                                                              be installed
           Depends: samba-common (= 2:3.6.6-6+deb7u4) but 2:3.6.6-6+deb7u5 is to                                                                                                              be installed
           Recommends: libpam-winbind but it is not going to be installed
           Recommends: libnss-winbind but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by he                                                                                                             ld packages.
root@raspbmc:~#
 

pacoeloyo y Rohlling le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios
  • 0

yo hace mucho que no toco debian, pero creo que deberias poner todos los sources en la version mas estable y luego volver a intentarlo, o bien haciendo un downgrade o un upgrade, depende de la version en la que estes.

con aptitude se me ha vuelto a instalar el samba, pero sigue sin funcionarme, ¿cuales eran los repositorios a poner en el sources.list para apuntar a estable?

 

Gracias.

 

Saludos.

Parece que sean estos, voy a probar con estos a ver, pa mi que ahora va ser cuando se me va a romper todo, pero es que sin el samba no puedo estar, es primordial, me cachis que lo tenia todo la mar de bien

 

http://www.ochobitshacenunbyte.com/2015/08/17/principales-fuentes-sources-list-debian-jessie/

Rohlling y pacoeloyo le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios
  • 0

siempre es el mismo problema, no paso de ahi, vuelvo a empezar de cero, monto el centro multimedia todo de nuevo, la mula bien, transmission bien, pero el samba nada de nada, a la hora de ir siguiendo el manual este con el que lo logre la primera vez:

 

Pongo: sudo apt-get install samba samba-common-bin

 

Y me devuelve, exactamente lo que ha este señor:

 

https://www.raspberrypi.org/forums/viewtopic.php?f=63&t=58695

 

Entonces ante la solucion que le dan, sigo los mismos pasos, pongo:  apt-get download samba, y me devuelve:

 

root@raspbmc:~# apt-get download samba
Err Downloading samba 2:3.6.6-6+deb7u5
  Cannot initiate the connection to archive.raspbian.org:80 (2001:41c9:1:3ce::10). - connect (101: Network is unreachable) [iP: 2001:41c9:1:3ce::10 80]

 

Entonces pongo la siguiente linea que le proponen:  sudo dpkg --force-all -i samba_3.6.6-6+deb7u1_armhf.deb, y obtengo esto:

 

root@raspbmc:~# dpkg --force-all -i samba_3.6.6-6+deb7u1_armhf.deb
dpkg: error processing samba_3.6.6-6+deb7u1_armhf.deb (--install):
 cannot access archive: No such file or directory
Errors were encountered while processing:
 samba_3.6.6-6+deb7u1_armhf.deb

 

Compruebo version de samba, para ver si es que yo tengo otra version o que, pero al parecer tengo la misma.

root@raspbmc:~# smbstatus

Samba version 3.6.6
PID     Username      Group         Machine
-------------------------------------------------------------------

 

Y no paso de ahi y no consigue poder hacer funcionar el samba entre ambos ordenadores.
 

pacoeloyo y Rohlling le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios
  • 0

prueba con estos:

deb http://archive.raspbian.org/raspbian wheezy main contrib non-free
deb-src http://archive.raspbian.org/raspbian wheezy main contrib non-free
deb http://security.debian.org/wheezy/updates main contrib non-free
deb-src http://security.debian.org/wheezy/updates main contrib non-free
Editado por josspark
Rohlling y pacoeloyo le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Registra una cuenta o conéctate para comentar

Debes ser un miembro de la comunidad para dejar un comentario

Crear una cuenta

Regístrate en nuestra comunidad. ¡Es fácil!


Registrar una cuenta nueva

Iniciar Sesión

¿Ya tienes cuenta? Conéctate aquí.


Iniciar Sesión